What technical requirements are needed on my end?

Our elearning courses are HTML 5 and have the following requirements to view:

  • Windows: Google Chrome (latest version)
  • Mac: Safari 7 and later, Google Chrome (latest version)
  • Mobile: Safari in Apple iOS 7 and later, Google Chrome (latest version) in Android OS 4.1 and later

Scroll To Top